SUMMARY = "Software support for the ObsBox SPEC design"

LICENSE = "GPL-2.0"
LIC_FILES_CHKSUM = "file://${COREBASE}/meta/files/common-licenses/GPL-2.0;md5=801f80980d171dd6425610833a22dbe6"

inherit module

PR = "r0"
PV = "0.1"


SRC_URI = "gitsm://github.com/FedericoVaga/obs-box-sw.git \
           file://001-obsbox_tools.patch \
           file://obsplot.py"
SRCREV = "2d49db5ca1397bc020de071116a0d5080f6f580c"

S = "${WORKDIR}/git"

#export CROSS_COMPILE_SYSROOT = "${STAGING_DIR_TARGET}"

do_compile(){
    make
}

FILES_${PN} += "${bindir}/* ${libdir}/*.so"
FILES_SOLIBSDEV = ""

do_install_extra() {
             install -d ${D}${libdir}
             install -m 0755 ${S}/spec-sw/tools/libspec.so ${D}${libdir}
             install -d ${D}${bindir}
             install -m 0755 ${S}/spec-sw/tools/spec-cl ${D}${bindir}
             install -m 0755 ${S}/spec-sw/tools/spec-fwloader ${D}${bindir}
             install -m 0755 ${S}/spec-sw/tools/spec-vuart ${D}${bindir}
             install -m 0755 ${S}/spec-sw/tools/specmem ${D}${bindir}
             install -m 0755 ${S}/spec-sw/tools/wr-dio-cmd ${D}${bindir}
             install -m 0755 ${S}/spec-sw/tools/wr-dio-pps ${D}${bindir}
             install -m 0755 ${S}/spec-sw/tools/wr-dio-agent ${D}${bindir}
             install -m 0755 ${S}/spec-sw/tools/wr-dio-ruler ${D}${bindir}
             install -m 0755 ${S}/spec-sw/tools/stamp-frame ${D}${bindir}
             install -m 0755 ${S}/spec-sw/binaries/fmc-dio-eeprom.bin ${D}${bindir}
             install -m 0755 ${S}/fmc-bus/tools/libipmi/libipmi.so ${D}${libdir}
             install -m 0755 ${S}/fmc-bus/tools/libipmi/fmc_eeprom.py ${D}${bindir}
             install -m 0755 ${S}/fmc-bus/tools/fmc-mem ${D}${bindir}
             install -m 0755 ${S}/fmc-bus/tools/example-fru-generator-loop ${D}${bindir}
             install -m 0755 ${S}/fmc-bus/tools/fru-dump ${D}${bindir}
             install -m 0755 ${S}/fmc-bus/tools/fru-generator ${D}${bindir}
             install -m 0755 ${S}/zio/tools/test-dtc ${D}${bindir}
             install -m 0755 ${S}/zio/tools/zio-cat-file ${D}${bindir}
             install -m 0755 ${S}/zio/tools/zio-dump ${D}${bindir}
             install -m 0755 ${S}/tools/obsbox-dump ${D}${bindir}
             install -m 0755 ${WORKDIR}/obsplot.py ${D}${bindir}
}
addtask install_extra after do_install before do_populate_sysroot

# The inherit of module.bbclass will automatically name module packages with
# "kernel-module-" prefix as required by the oe-core build environment.
